package shapes;

public class Rectangle extends Shape {
	private double a;
	private double b;
	
	public Rectangle(String name, double a, double b) {
		super(name);
		this.a = a;
		this.b = b;
	}

	@Override
	public String toString() {
		return "Rectangle [a=" + a + ", b=" + b + " area:" + getArea() + "]";
	}

	@Override
	public double getArea() {
		return this.a * this.b;
	}
}